# Uses of Interface
org.bukkit.entity.LightningStrike

Packages that use LightningStrike
Package
Description
com.destroystokyo.paper.event.entity
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.weather
`Events` relating to weather.

## Uses of LightningStrike in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return LightningStrike
Modifier and Type
Method
Description
`@NotNull LightningStrike`
EntityZapEvent.`getBolt()`
Gets the lightning bolt that is striking the entity.
Constructors in com.destroystokyo.paper.event.entity with parameters of type LightningStrike
Modifier
Constructor
Description
``
`EntityZapEvent(@NotNull Entity entity, @NotNull LightningStrike bolt, @NotNull Entity replacementEntity)`

## Uses of LightningStrike in org.bukkit

Methods in org.bukkit that return LightningStrike
Modifier and Type
Method
Description
`@NotNull LightningStrike`
World.Spigot.`strikeLightning(@NotNull Location loc, boolean isSilent)`
Strikes lightning at the given `Location` and possibly without sound
`@NotNull LightningStrike`
World.`strikeLightning(@NotNull Location loc)`
Strikes lightning at the given `Location`
`@NotNull LightningStrike`
World.Spigot.`strikeLightningEffect(@NotNull Location loc, boolean isSilent)`
Strikes lightning at the given `Location` without doing damage and possibly without sound
`@NotNull LightningStrike`
World.`strikeLightningEffect(@NotNull Location loc)`
Strikes lightning at the given `Location` without doing damage

## Uses of LightningStrike in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return LightningStrike
Modifier and Type
Method
Description
`@Nullable LightningStrike`
CreeperPowerEvent.`getLightning()`
Gets the lightning bolt which is striking the Creeper.
`@NotNull LightningStrike`
PigZapEvent.`getLightning()`
Gets the bolt which is striking the pig.
Constructors in org.bukkit.event.entity with parameters of type LightningStrike
Modifier
Constructor
Description
``
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull LightningStrike bolt, @NotNull CreeperPowerEvent.PowerCause cause)`
``
`PigZapEvent(@NotNull Pig pig, @NotNull LightningStrike bolt, @NotNull PigZombie pigzombie)`

## Uses of LightningStrike in org.bukkit.event.weather

Methods in org.bukkit.event.weather that return LightningStrike
Modifier and Type
Method
Description
`@NotNull LightningStrike`
LightningStrikeEvent.`getLightning()`
Gets the bolt which is striking the earth.
Constructors in org.bukkit.event.weather with parameters of type LightningStrike
Modifier
Constructor
Description
``
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt)`
Deprecated.
``
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt, @NotNull LightningStrikeEvent.Cause cause)`